clear all

%% Roll or Ball bearings
% In this section, the different roll or ball bearings of the mechanism
% must be described as follow :
% bearing.Dm : Mean diameter of the ball bearing
% bearing.db : Diameter of the balls or rolls
% bearing.Z : Number of balls or rolls
% bearing.angle : Angle of contact between the balls and the ring of the
% bearing.

%% Description of the turning pairs :
% In this section, the turning pairs of the system are described. The
% element (i,j) of the data structure is filled as follow :
% data(i,j).type : type of the pair : here 'p' for turning pair
% data(i,j).N : Nulber of ball bearings engaged in the pair
% data(i,j).B : name of each of the ball-bearing
% data(i,j).level : level of the turning pair

% If informations on the roll or ball bearing are not available, it is
% still possible to compute the program. In that case, the type of joint is
% 'l'
% data(i,j).type='l';



data(1,2).type='l';
data(1,2).level=1;

data(1,3).type='l';
data(1,3).level=2;

data(1,4).type='l';
data(1,4).level=3;

data(1,5).type='l';
data(1,5).level=2;

data(1,7).type='l';
data(1,7).level=2;

data(5,6).type='l';
data(5,6).level=4;

data(7,8).type='l';
data(7,8).level=5;


%% Description of the gear pairs of the mechanism
% In this section, a description of the gear pairs is done. The element (i,j) 
% of the input structure data is filled
% as follow :

% data(i,j).type : type of the pair : here 'e' for the gear pairs
% data(i,j).Z1 : complex number of teeth of the first link
% data(i,j).Z1 : complex number of teeth of the second link


data(1,6).type='e';    
data(1,6).Z1=93*exp(j*pi);  
data(1,6).Z2=21*exp(j*0); 


data(1,8).type='e';   
data(1,8).Z1=93*exp(j*pi);  
data(1,8).Z2=21*exp(+j*0);  


data(2,3).type='e';    
data(2,3).Z1=20*exp(-j*pi/4);  
data(2,3).Z2=41*exp(j*pi/4);  
      

data(3,4).type='e';   
data(3,4).Z1=17*exp(j*pi/4);  
data(3,4).Z2=20*exp(-j*pi/4);  
      

data(3,6).type='e';    
data(3,6).Z1=51*exp(j*0);  
data(3,6).Z2=21*exp(-j*0);  
      

data(5,8).type='e';    
data(5,8).Z1=51*exp(j*0);  
data(5,8).Z2=21*exp(j*0);  
     




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
