function Mod=kinemod(data)
% M=KINEMOD(DATA) computes the kinematic model of the mechanism
%   described in DATA (NxN structured array where N stands
%   for the number of bodies): that is the linear relationship
%   between the N angular rates of bodies.
N=length(data);
Mod=[];
for ii=1:N,
    for jj=ii+1:N,
        if data(ii,jj).type=='e',
            modij=zeros(1,N);
            kk=bodyref(data,ii,jj);
            modij(ii)=data(ii,jj).Z1;
            modij(jj)=data(ii,jj).Z2;
            modij(kk)=-modij(ii)-modij(jj);
            Mod=[Mod;modij];
        end
    end
end